> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Recording



## OpenAPI

````yaml get /v1/sessions/{id}/recording
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/sessions/{id}/recording:
    get:
      summary: Session Recording
      operationId: Sessions_getRecording
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SessionRecording'
components:
  schemas:
    SessionRecording:
      type: object
      properties:
        data:
          description: >-
            See [rrweb
            documentation](https://github.com/rrweb-io/rrweb/blob/master/docs/recipes/dive-into-event.md).
          type: object
          additionalProperties: true
          properties: {}
        sessionId:
          type: string
        timestamp:
          description: milliseconds that have elapsed since the UNIX epoch
          type: integer
        type:
          type: integer
      required:
        - data
        - sessionId
        - timestamp
        - type
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````